Subject: Experimental EAP implementation with SRP-SHA1

From: James Carlson <[email-masked]>
Date: Fri, 3 Aug 2001 12:58:43 -0400 (EDT)

I've coded up and tested an EAP implementation with support for the
required MD5-Challenge method as well as the new SRP-SHA1 (-03 draft).
The implementation is based on ANU PPP-2.4.1 (maintained by Paul
Mackerras).  It consists of a set of patches for ANU PPP, and depends
on the use of Thomas Wu's SRP implementation.

I've tested it on Linux (2.2 kernel, not that I think it matters) and
Solaris 9 beta, with libsrp-1.7.3 and openssl-0.9.6.  It implements
the optional "pseudonym" feature as well.

	ftp://playground.sun.com/pub/eap/index.html

-- 
James Carlson, Internet Engineering       <[email-masked]>
SUN Microsystems / 1 Network Drive         71.234W   Vox +1 781 442 2084
MS UBUR02-212 / Burlington MA 01803-2757   42.497N   Fax +1 781 442 1677